<Cabbage> bounds(0, 0, 0, 0)
form caption("Combobox Sample Player") size(400, 200), colour(58, 110, 182), pluginId("def1"), guiMode("queue")
combobox bounds(16, 8, 80, 20) channel("comboBox1") channelType("string") populate("*.wav", "./files"), value("01") items:0("/Menu1", "01.wav", "02.wav", "03.wav") items:1("/Menu2", "04.wav", "05.wav", "06.wav")
keyboard bounds(14, 60, 283, 67) channel("keyboard10002")

</Cabbage>
<CsoundSynthesizer>
<CsOptions>
-n -d -+rtmidi=NULL -M0 -m0d 
</CsOptions>
<CsInstruments>
; Initialize the global variables. 
sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1


instr 1
    event_i "i", "PlaySample", 0, 2     
endin

instr PlaySample
    ;the following code simply builds the full file name
    SFilename cabbageGetValue "comboBox1"
    SFileType cabbageGet "comboBox1", "fileType"
    SCsdPath cabbageGet "CSD_PATH"
    SFilesDir sprintf  "%s/files", SCsdPath
	SFile sprintf "%s/%s.%s", SFilesDir, SFilename, strsub(SFileType, 2)

	
	kAmp chnget "Vol1"	
	;the rest of the code sets the playback duration, and plays the sample
	p3 = filelen(SFile)
	iNumChannels filenchnls SFile
	
    if iNumChannels == 1 then
        a1 diskin2 SFile, 1, 0, 1
        a2 = a1
    elseif iNumChannels == 2 then
        a1, a2 diskin2 SFile, 1, 0, 1
    endif
    
    outs a1, a2
endin


</CsInstruments>
<CsScore>
;causes Csound to run for about 7000 years...
f0 z
</CsScore>
</CsoundSynthesizer>
